<?php
ob_start();
session_start();

// If I'm not logged in, then move me to the login please.
if(!isset($_SESSION['user_id'])){
header("HTTP/1.1 307 Temporary Redirect");
header("Location: login.php?login");
}


// Requires
    // Configs
        require_once('config/site.config.php');
    //Modules (i.e. functions and user created modules)
        require_once('modules/load.module.php');
    //Inc.Site (Required Page Content/Actions)
        // Build Generic/Auto HTML
		require_once("inc.site/html.head.inc.php");
		require_once("inc.site/".$SITE['theme']."/html.body_start.inc.php");
		require_once("inc.site/".$SITE['theme']."/html.top_menu.inc.php");
    
// PHP/Content Goes here!
?>
	<h1>User Control</h1>
		<div class="descr"><em>&hellip;your very own mission control!</em></div>
<p>
<?PHP
        echo "Hi <em>".get_user_name_informal($_SESSION['user_id'],$_SESSION['type'],db_connect())."</em>";
        if($_SESSION['type'] == 1){
        // Student Controls
			echo "<br/><small>You have asked <em>".db_problems_total_id($_SESSION['user_id'],db_connect())."</em> questions with <em>".db_problems_total_id_closed($_SESSION['user_id'],db_connect())."</em> answered successfully.</small>";
			//Your details
			//Questions List
			echo "<h3>Your Questions Asked:</h3><a name=\"questions\"></a>";
			echo "<small><a href=\"tickets.php\" title=\"Add a New Question\">New</a></small>";
			if($_GET['view']!="all"){
				echo "<small>, <a href=\"?view=all\" title=\"View All Questions\">Show All</a></small>";
			}else{
				echo "<small>, <a href=\"controls.php\" title=\"Hide\">Recent Only</a></small>";
			}
			$questions = db_problems_id_retrieve($_SESSION['user_id'],db_connect());
			if(isset($questions)){
			// Print the questions in a list with information.
				$i=0;
				echo "<table class=\"big\">";
				echo "<tr><th width=\"16px\">&nbsp;</th><th>Date</th><th width=\"100px\">EF Code</th><th>Question</th><th>Priority</th><th width=\"16px\">&nbsp;</th><th>&nbsp;</th></tr>";
				do{
					if(is_odd($i)){$table_colour="class=\"fill\"";}else{$table_colour="class=\"nofill\"";}
					$problem = db_problems_retrieve($questions['id'][$i],db_connect());
					$now = time();
					$then = $now-31556926;	//Take a year away from the timestamp
					if(($problem['time'] >= $then)||($_GET['view']=="all")){
						echo "<tr><td ".$table_colour.">".status_image($problem['status'])."</td><td ".$table_colour.">".date("j/n/Y",$problem['time'])."</td><td ".$table_colour.">".$problem['efcode']."</td><td ".$table_colour.">".$problem['question']."</td><td ".$table_colour.">".priority_change($problem['priority'])."</td><td ".$table_colour.">".file_link_start($problem['file']).file_image($problem['file']).file_link_end($problem['file'])."</td><td ".$table_colour."><a href=\"tickets.php?view=".$problem['id']."\">View</a></td></tr>";
					}
				$i++;
				}while(isset($questions['id'][$i]));
				echo "</table>";}else{echo "<br/><br/>";}
				echo "<h3>Your Details:</h3><a name=\"details\"></a><small><a href=\"edit.php\" title=\"Edit Your Details\">Edit</a></small><p>";
			$user_details = db_student_retrieve($_SESSION['user_id'],db_connect());
			$user_course = db_course_retrieve($_SESSION['user_id'],db_connect());
			$user_site = db_site_retrieve($_SESSION['user_id'],db_connect());
			echo get_user_name($_SESSION['user_id'],$_SESSION['type'],db_connect())."<br/>Tel: <em>".$user_details['tel']."</em><br/>Email: <em>".$user_details['email']."</em><br/>Course: <em>".$user_course['level']." ".$user_course['programme']."</em><br/>Campus: <em>".$user_site['site']." Campus</em> at <em>".$user_site['location']."</em></p>";
			
        }else{
        // Staff Controls
			$staff_details = db_staff_retrieve($_SESSION['user_id'],db_connect());
			$staff_school = db_school_retrieve($staff_details['dept'],db_connect());
			echo "<br/><small>Part of <em>".$staff_school['name']."</em>, <em>".db_dept_retrieve($staff_school['dept'],db_connect())."</em>.</small>";
			//Questions List
			echo "<h3>Your School's Open Questions:</h3><a name=\"questions\"></a>";
			echo "<small><a href=\"#archive\" title=\"View Archives\">Archives</a></small>";
			$questions = db_problems_school_retrieve($staff_details['dept'],db_connect());
			if(isset($questions)){
			// Print the questions in a list with information.
				$i=0;
				echo "<table class=\"big\">";
				echo "<tr><th width=\"16px\">&nbsp;</th><th>Date</th><th";
					if($_SESSION['type'] == 2){ echo " width=\"30%\" ";}
				echo ">Question</th>";
					if($_SESSION['type'] == 2){ echo "<th>School</th>";}
				echo "<th>Priority</th><th width=\"16px\">&nbsp;</th></tr>";
				do{
					if(is_odd($i)){$table_colour="class=\"fill\"";}else{$table_colour="class=\"nofill\"";}
					$problem = db_problems_retrieve($questions['id'][$i],db_connect());
					echo "<tr><td ".$table_colour.">".status_image($problem['status'])."</td><td ".$table_colour.">".date("j/n/Y",$problem['time'])."</td><td ".$table_colour.">".$problem['question']."</td>";
					if($_SESSION['type'] == 2){ echo "<td ".$table_colour."><form method=\"POST\" action=\"tickets.php?edit=school\"><input type=\"hidden\" value=\"".$problem['id']."\" name=\"id\" /><select name=\"new_school\">".db_dept_school_list($problem['dept'],db_connect())."</select>&nbsp;<input type=\"submit\" value=\"Move\" /></form></td>";}
					echo "<td ".$table_colour.">".priority_change($problem['priority'])."</td><td ".$table_colour."><a href=\"tickets.php?view=".$problem['id']."\">View</a></td></tr>";
				$i++;
				}while(isset($questions['id'][$i]));
				echo "</table>";
				}else{echo "<br/><br/>";}
			echo "<h3>Your Details:</h3><a name=\"details\"></a><small><a href=\"edit.php\" title=\"Edit Your Details\">Edit</a></small><p>";
			$user_details = db_staff_retrieve($_SESSION['user_id'],db_connect());
			echo get_user_name($_SESSION['user_id'],$_SESSION['type'],db_connect())."<br/>Tel: <em>".$user_details['tel']."</em><br/>Email: <em>".$user_details['email']."</em><br/>Type: <em>".db_group_retrieve($user_details['group'],db_connect())." Staff</em><br>School: <em>".$staff_school['name']."</em><br/>Department: <em>".db_dept_retrieve($staff_school['dept'],db_connect())."</em></p>";
			// Old questions List
			echo "<h3>Archived Questions:</h3><a name=\"archive\"></a>";
			if(($_GET['view']!="all")&&($_GET['view']!="sysw")){
				echo "<small><a href=\"?view=all\" title=\"View All Closed Questions\">Dept. All</a></small>";
			}else{
				echo "<small><a href=\"controls.php\" title=\"Hide\">Recent Only</a></small>";
			}
			$_STAFF = db_staff_retrieve($_SESSION['user_id'],db_connect());
			if(($_STAFF['dept'] == 0)&&($_SESSION['type']==2)){
				echo "<small>, <a href=\"?view=sysw\" title=\"View System Wide Questions\">Sys Wide</a></small>";
			}
			
			if(($_GET['view']=="sysw")&&($_STAFF['dept'] == 0)&&($_SESSION['type']==2)){
				$questions = db_problems_gateway_retrieve(db_connect());
			}else{
				$questions = db_problems_school_retrieve_closed($staff_details['dept'],db_connect());
			}
			unset($_STAFF);
			if(isset($questions)){
			// Print the questions in a list with information.
				$i=0;
				echo "<table class=\"big\">";
				echo "<tr><th width=\"16px\">&nbsp;</th><th>Date</th><th";
					if($_SESSION['type'] == 2){ echo " width=\"30%\" ";}
				echo ">Question</th>";
					if($_SESSION['type'] == 2){ echo "<th>School</th>";}
				echo "<th>Priority</th><th width=\"16px\">&nbsp;</th></tr>";
				do{
					if(is_odd($i)){$table_colour="class=\"fill\"";}else{$table_colour="class=\"nofill\"";}
					$problem = db_problems_retrieve($questions['id'][$i],db_connect());
					$now = time();
					$then = $now-31556926;	//Take a year away from the timestamp
					if(($problem['time'] >= $then)||($_GET['view']=="all")){
						echo "<tr><td ".$table_colour.">".status_image($problem['status'])."</td><td ".$table_colour.">".date("j/n/Y",$problem['time'])."</td><td ".$table_colour.">".$problem['question']."</td>";
						if($_SESSION['type'] == 2){ echo "<td ".$table_colour."><form method=\"POST\" action=\"tickets.php?edit=school\"><input type=\"hidden\" value=\"".$problem['id']."\" name=\"id\" /><select name=\"new_school\">".db_dept_school_list($problem['dept'],db_connect())."</select>&nbsp;<input type=\"submit\" value=\"Move\" /></form></td>";}
						echo "<td ".$table_colour.">".priority_change($problem['priority'])."</td><td ".$table_colour."><a href=\"tickets.php?view=".$problem['id']."\">View</a></td></tr>";
					}
					unset($now);
					unset($then);
				$i++;
				}while(isset($questions['id'][$i]));
				echo "</table>";
				}else{echo "<br/><br/>";}
        }
        
        
// Build Generic/Auto HTML
?></p><?PHP
    require_once("inc.site/".$SITE['theme']."/html.side_menu.inc.php");
    require_once("inc.site/".$SITE['theme']."/html.footer.inc.php");
    require_once("inc.site/".$SITE['theme']."/html.body_end.inc.php");

//Final buffer flush incase of error or it hasnt been flushed before.
@ob_flush();
    ?>
