<?php
ob_start();
session_start();

// Requires
    // Configs
        require_once('config/site.config.php');
    //Modules (i.e. functions and user created modules)
        require_once('modules/load.module.php');
    //Inc.Site (Required Page Content/Actions)
    
    //
        
// Build Generic/Auto HTML
    require_once('inc.site/html.head.inc.php');
    require_once('inc.site/'.$SITE['theme'].'/html.body_start.inc.php');
    require_once('inc.site/'.$SITE['theme'].'/html.top_menu.inc.php');
    
// PHP/Content Goes here!
?>
	<h1>F.A.Q.</h1>
		<div class="descr"><em>&hellip;Frequently Asked Questions.</em></div>
<?PHP
	if((!isset($_GET['set']))&&(!isset($_GET['unset']))){
		$questions = db_FAQ(db_connect());
		if(isset($questions)){
		// Print the questions in a list with information.
			$i=0;
			echo "<table class=\"big\">";
			echo "<tr><th>Date</th><th colspan=\"2\">Question</th><th>&nbsp;</th></tr>";
			do{
				if(is_odd($i)){$table_colour="class=\"fill\"";}else{$table_colour="class=\"nofill\"";}
				$problem = db_problems_retrieve($questions['id'][$i],db_connect());
					echo "<tr><td ".$table_colour.">".date("j/n/Y",$problem['time'])."</td><td ".$table_colour." width=\"16px\">".file_link_start($problem['file']).file_image($problem['file']).file_link_end($problem['file'])."</td><td ".$table_colour.">".$problem['question']."</td><td ".$table_colour."><a href=\"tickets.php?view=".$problem['id']."\">View</a></td></tr>";
				$i++;
			}while(isset($questions['id'][$i]));
			echo "</table>";
		}else{echo "<h4>There are no Frequently Asked Questions</h4>";}
	}elseif(isset($_GET['set'])){
		$makefaq = db_question_faq($_GET['set'],db_connect());
		if(!makefaq){
			echo "<p><img src=\"images/warn.png\" width=\"16px\" height=\"16px\" alt=\"Failed\" title=\"Failed\" style=\"vertical-align:top;\"/>&nbsp;<em>Failed to make  Question into FAQ.</em><br/><small>Please contact an administrator.</small></p>";
			echo "<p><img src=\"images/loader.gif\" alt=\"Loader\" title=\"Loader\" style=\"vertical-align:middle;\"/> Redirecting to Question&hellip;</p>";     
			header("refresh: 5; url=tickets.php?view=".$_GET['set']);
            ob_flush();
		}else{
			echo "<p><img src=\"images/tick.png\" width=\"16px\" height=\"16px\" alt=\"Success\" title=\"Success\" style=\"vertical-align:top;\"/>&nbsp;<em>Question made into FAQ.</em></p>";
			header("refresh: 5; url=faq.php?");
            ob_flush();
		}
	}elseif(isset($_GET['unset'])){
		$makefaq = db_question_unfaq($_GET['unset'],db_connect());
		if(!makefaq){
			echo "<p><img src=\"images/warn.png\" width=\"16px\" height=\"16px\" alt=\"Failed\" title=\"Failed\" style=\"vertical-align:top;\"/>&nbsp;<em>Failed to remove  Question from FAQ.</em><br/><small>Please contact an administrator.</small></p>";
			echo "<p><img src=\"images/loader.gif\" alt=\"Loader\" title=\"Loader\" style=\"vertical-align:middle;\"/> Redirecting to Question&hellip;</p>";     
           	header("refresh: 5; url=faq.php?");
            ob_flush();
		}else{
			echo "<p><img src=\"images/tick.png\" width=\"16px\" height=\"16px\" alt=\"Success\" title=\"Success\" style=\"vertical-align:top;\"/>&nbsp;<em>Question removed from FAQ.</em></p>";
			header("refresh: 5; url=tickets.php?view=".$_GET['set']);
            ob_flush();
		}
	}

		

    require_once('inc.site/'.$SITE['theme'].'/html.side_menu.inc.php');
    require_once('inc.site/'.$SITE['theme'].'/html.footer.inc.php');
    require_once('inc.site/'.$SITE['theme'].'/html.body_end.inc.php');

//Final buffer flush incase of error or it hasnt been flushed before.
@ob_flush();
    ?>
