<?php
ob_start();
session_start();

// Requires
    // Configs
        require_once('config/site.config.php');
    //Modules (i.e. functions and user created modules)
        require_once('modules/load.module.php');
    //Inc.Site (Required Page Content/Actions)

// If I'm not logged in, then move me to the login please.
if(!isset($_SESSION['user_id'])){
	header("HTTP/1.1 307 Temporary Redirect");
	header("Location: login.php?login");
	ob_flush();
}elseif(user_type_change($_SESSION['type'])=="U"){
	header("HTTP/1.1 307 Temporary Redirect");
	header("Location: controls.php");
	ob_flush();
}elseif((strtolower($_GET['log'])!="security")&&(strtolower($_GET['log'])!="user")&&(strtolower($_GET['log'])!="debug")){
	header("HTTP/1.1 307 Temporary Redirect");
	header("Location: controls.php");
	ob_flush();
}
        
// Build Generic/Auto HTML
    require_once('inc.site/html.head.inc.php');
    require_once('inc.site/'.$SITE['theme'].'/html.body_start.inc.php');
    require_once('inc.site/'.$SITE['theme'].'/html.top_menu.inc.php');
    
// PHP/Content Goes here!
?>
	<h1>Log Viewer</h1>
		<div class="descr"><em>&hellip;review the logs created by WonderfulHelp.</em></div>
		<p>Choose a log: <a href="logs.php?log=security">Security</a>, <a href="logs.php?log=user">User</a>, <a href="logs.php?log=debug">Debug</a></p>
	<h2><?PHP echo ucfirst($_GET['log']);?> Log:</h2><textarea rows="10" class="styled" name="message" cols="10" readonly="readonly">
<?PHP
	require_once("logs/".$_GET['log'].".log");
	echo "</textarea><p>View the <a href=\"logs/".$_GET['log'].".log\">Raw Log</a>.</p>";
// Build Generic/Auto HTML
    require_once('inc.site/'.$SITE['theme'].'/html.side_menu.inc.php');
    require_once('inc.site/'.$SITE['theme'].'/html.footer.inc.php');
    require_once('inc.site/'.$SITE['theme'].'/html.body_end.inc.php');

//Final buffer flush incase of error or it hasnt been flushed before.
@ob_flush();
    ?>
