<?php
/**
 * Mail Functions
 *
 * This contains all the functions for emailing users.
 * These currently only return true but will be properly populated once the rest of the system is complete. (Only here as place holders)
 *
 **/


/**
 * Message the user_id given
 *
 * This function returns TRUE if it passes validation and FALSE if it fails.
 **/
function mail_user($user_ID,$user_type,$message,$from_id,$from_type){
	if(user_type_change($user_type)=="U"){
		$details = db_student_retrieve($user_ID,db_connect());
	}else{
		$details = db_staff_retrieve($user_ID,db_connect());
	}
	if(user_type_change($from_type)=="U"){
		$from = db_student_retrieve($from_id,db_connect());
	}else{
		$from = db_staff_retrieve($from_id,db_connect());
	}
    $to = $deatils['title'].". ".$deatils['fname']." ".$details['sname']."<".$details['email'].">";
    $fromperson = $from['title'].". ".$from['fname']." ".$from['sname'];
    $subject = "Wonderful Help - Message From ".$fromperson;
	$message = filter_var($message, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $message = filter_var($message, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $message = "Hello ".$details['title']." ".$details['fname']." ".$details['sname'].",\r\nYou have been sent a message from Wonderful Help.\r\n\r\n".$message."\r\n\r\n--\r\n".$fromperson."\r\nWonderful Help\r\n\r\nThis is an automated email, DO NOT REPLY to it.";
    $headers = "From: Wonderful Help<noreply@aboutcher.co.uk>"."\r\n"."X-Mailer: PHP/".phpversion();
	$sent = mail($to,$subject,$message,$headers);
	if(!$sent){
		return FALSE;
	}
  return TRUE;
}


/**
 * Message the owner of a question to say its updated
 *
 * This function returns TRUE if it passes validation and FALSE if it fails.
 **/
function mail_reply($qid){
	$question = db_problems_retrieve($qid,db_connect());
	$details = db_student_retrieve($question['sid'],db_connect());
    $to = $deatils['title']." ".$deatils['fname']." ".$details['sname']."<".$details['email'].">";
    $message = "Hello ".$details['title']." ".$details['fname']." ".$details['sname'].",\r\n\r\nYour question (Express Find Code: ".$question['efcode']." ) has been replied to.\r\n\r\n--\r\nWonderful Help\r\n\r\nThis is an automated email, DO NOT REPLY to it.";
    $headers = "From: Wonderful Help<noreply@aboutcher.co.uk>"."\r\n"."X-Mailer: PHP/".phpversion();
    $subject = "Wonderful Help - Question Reply EF:".$question['efcode'];
	$sent = mail($to,$subject,$message,$headers);
	if(!$sent){
		return FALSE;
	}
  return TRUE;
}
?>