<?php
ob_start();
session_start();

if($_SERVER['HTTPS'] == "on"){ $proto = "https://"; }else{ $proto = "http://"; }
$referer = explode("?",$_SERVER['HTTP_REFERER']);

// If I'm logged in, then move me to the controls please.
if(isset($_SESSION['user_id'])){
	header("HTTP/1.1 307 Temporary Redirect");
	header("Location: controls.php");
	ob_flush();
}

// Requires
    // Configs
        require_once('config/site.config.php');
        require_once('config/signup.config.php');
    //Modules (i.e. functions and user created modules)
        require_once('modules/load.module.php');
    //Inc.Site (Required Page Content/Actions)
    
    //
        
// Build Generic/Auto HTML
    require_once('inc.site/html.head.inc.php');
    require_once('inc.site/'.$SITE['theme'].'/html.body_start.inc.php');
    require_once('inc.site/'.$SITE['theme'].'/html.top_menu.inc.php');
    
// PHP/Content Goes here!
?>
	<h1>Sign Up</h1>
		<div class="descr"><em>&hellip;create an account.</em></div>
<?PHP
    if(!isset($_POST['uname'])){
    //this is the default action
?>
	<h3>Student Signup</h3>
	<?PHP
		if(isset($_GET['fault'])){
			echo "<div class=\"descr\"><img src=\"images/alert.png\" width=\"16px\" height=\"16px\" alt=\"Alert!\" title=\"Alert\" style=\"vertical-align:top;\"/>&nbsp;";
			if($_GET['fault'] == "pnm"){
				echo "<em>Passwords do <strong>NOT</strong> match.</em><br/>";
			}elseif($_GET['fault'] == "pnl"){
				echo "<em>Password is <strong>NOT</strong> long enough.</em><br/>";
			}elseif($_GET['fault'] == "enm"){
				echo "<em>Email Addresses do <strong>NOT</strong> match.</em><br/>";
			}elseif($_GET['fault'] == "env"){
				echo "<em>Email Addresses is <strong>NOT</strong> valid.</em><br/>";
			}elseif($_GET['fault'] == "nun"){
				echo "<em>Username already in use.</em><br/>";
			}elseif($_GET['fault'] == "nui"){
				echo "<em>".$_GET['type']." already in use.</em><br/>";
			}elseif($_GET['fault'] == "inn"){
				echo "<em>Student ID is invalid.</em><br/>";
			}elseif($_GET['fault'] == "ef"){
				echo "<em>Empty Fields</em><br/>";
			}elseif($_GET['fault'] == "tnn"){
				echo "<em>Tel. No. is invalid.</em><br/>";
			}elseif($_GET['fault'] == "ir"){
				echo "<em>Invalid Secu-Code.</em><br/>";
			}
			echo "</div>";
		}elseif((!isset($_GET['fault']))&&(isset($_SESSION['signup']))){
			session_destroy();
			header("Location: signup.php");
			ob_flush();
		}
	?>
	<form method="post" action="<?PHP echo $_SERVER['PHP_SELF']; ?>"><table class="big">
		<tr><td colspan="3"><h4>Login:</h4></td></tr>
		<tr>
			<td width="100px"><label for="id">Student ID</label>:</td>
			<td width="250px"><input type="text" name="id" id="id" size="35" maxlength="9" value="<?PHP echo $_SESSION['signup']['id']; ?>"/></td>
			<td><small><?PHP echo $_SIGNUP['id']; ?></small></td>
		</tr>
		<tr>
			<td><label for="uname">Username</label>:</td>
			<td><input type="text" name="uname" id="uname" size="35" maxlength="6" value="<?PHP echo $_SESSION['signup']['uname']; ?>"/></td>
			<td><small><?PHP echo $_SIGNUP['username']; ?></small></td>
		</tr>
		<tr>
			<td><label for="pword">Password</label>:</td>
			<td><input type="password" name="pword" id="pword" size="35" value="<?PHP echo $_SESSION['signup']['pword']; ?>"/></td>
			<td><small><?PHP echo $_SIGNUP['password']; ?></small></td>
		</tr>
		<tr>
			<td><label for="pword2">Verify Password</label>:</td>
			<td><input type="password" name="pword2" id="pword2" size="35" value="<?PHP echo $_SESSION['signup']['pword2']; ?>"/></td>
			<td><small>Verify your password.</small></td>
		</tr>
		<tr><td colspan="3">&nbsp;</td></tr>
		<tr><td colspan="3"><h4>Deatils:</h4></td></tr>
		<tr>
			<td><label for="title">Title</label><?PHP if(isset($_GET['fault'])){ echo "<span class=\"descr\"><strong>*</strong></span>";}?>:</td>
			<td><select name="title" id="title"><option disabled="disabled" selected="selected">Select a title...</option><option value="Mr">Mr</option><option value="Ms">Ms</option><option value="Miss">Miss</option><option value="Dr">Dr</option><option value="Prof.">Prof.</option></select></td>
			<td><small><?PHP echo $_SIGNUP['title']; ?></small></td>
		</tr>
		<tr>
			<td><label for="fname">First Name</label>:</td>
			<td><input type="text" name="fname" id="fname" size="35" value="<?PHP echo $_SESSION['signup']['fname']; ?>"/></td>
			<td><small><?PHP echo $_SIGNUP['fname']; ?></small></td>
		</tr>
		<tr>
			<td><label for="sname">Surname</label>:</td>
			<td><input type="text" name="sname" id="sname" size="35" value="<?PHP echo $_SESSION['signup']['sname']; ?>"/></td>
			<td><small><?PHP echo $_SIGNUP['sname']; ?></small></td>
		</tr>
		<tr>
			<td><label for="tel">Tel. No.</label>:</td>
			<td><input type="text" name="tel" id="tel" size="35" value="<?PHP echo $_SESSION['signup']['tel']; ?>"/></td>
			<td><small><?PHP echo $_SIGNUP['tel']; ?></small></td>
		</tr>
		<tr>
			<td><label for="email">Email Address</label>:</td>
			<td><input type="text" name="email" id="email" size="35" value="<?PHP echo $_SESSION['signup']['email']; ?>"/></td>
			<td><small><?PHP echo $_SIGNUP['email']; ?></small></td>
		</tr>
		<tr>
			<td><label for="email2">Verify Email</label>:</td>
			<td><input type="text" name="email2" id="email2" size="35" value="<?PHP echo $_SESSION['signup']['email2']; ?>"/></td>
			<td><small>Verify your email.</small></td>
		</tr>
		<tr><td colspan="3">&nbsp;</td></tr>
		<tr><td colspan="3"><h4>Location:</h4></td></tr>
		<tr>
			<td><label for="campus">Campus</label>:</td>
				<?PHP if(isset($_SESSION['signup']['campus'])){$site=$_SESSION['signup']['campus'];}else{$site=0;} ?>
			<td><select name="campus" id="campus"><?PHP echo db_dept_location_list($site,db_connect()); ?></select></td>
			<td><small><?PHP echo $_SIGNUP['campus']; ?></small></td>
		</tr>
		<tr><td colspan="3">&nbsp;</td></tr>
		<tr><td colspan="3"><h4>Course:</h4></td></tr>
		<tr>
			<td><label for="level">Level</label><?PHP if(isset($_GET['fault'])){ echo "<span class=\"descr\"><strong>*</strong></span>";}?>:</td>
			<td><select name="level" id="level"><option disabled="disabled" selected="selected">Select a Level...</option><option value="Fdn">Foundation Degree</option><option value="BSc">BSc</option><option value="BA">BA</option><option value="MSc">MSc</option><option value="MA">MA</option><option value="PhD">PhD</option><option value="WBL">Work Based Learning</option><option value="">Other</option></select></td>
			<td><small><?PHP echo $_SIGNUP['level']; ?></small></td>
		</tr>
		<tr>
			<td><label for="prog">Course Name</label>:</td>
			<td><input type="text" name="prog" id="prog" size="35" value="<?PHP echo $_SESSION['signup']['prog']; ?>"/></td>
			<td><small><?PHP echo $_SIGNUP['prog']; ?></small></td>
		</tr>
		<tr><td colspan="3">&nbsp;</td></tr>
		<tr>
			<td>&nbsp;</td>
			<td>&nbsp;</td>
			<td><input type="hidden" name="ref" id="ref" value="<?PHP echo md5($proto.$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME']);?>" /><input type="submit" value="Register" /></td>
		</tr>
	</table></form>
<?PHP
    }else{
		//Login
		$_SESSION['signup']['id'] = $_POST['id'];
		$_SESSION['signup']['uname'] = strtolower($_POST['uname']);
		$_SESSION['signup']['pword'] = $_POST['pword'];
		$_SESSION['signup']['pword2'] = $_POST['pword2'];
		//Details
		$_SESSION['signup']['title'] = $_POST['title'];
		$_SESSION['signup']['fname'] = $_POST['fname'];
		$_SESSION['signup']['sname'] = $_POST['sname'];
		$_SESSION['signup']['tel'] = $_POST['tel'];
		$_SESSION['signup']['email'] = $_POST['email'];
		$_SESSION['signup']['email2'] = $_POST['email2'];
		//Location
		$_SESSION['signup']['campus'] = $_POST['campus'];
		//Course
		$_SESSION['signup']['level'] = $_POST['level'];
		$_SESSION['signup']['prog'] = $_POST['prog'];
		//Security
		$_SESSION['signup']['ref'] = $_POST['ref'];
		
		$check_last = login_signup_check_student($_SESSION['signup']['id'],$_SESSION['signup']['email'],db_connect());
		
		if((empty($_POST['id']))||(empty($_POST['uname']))||(empty($_POST['pword']))||(empty($_POST['pword2']))||(empty($_POST['title']))||(empty($_POST['fname']))||(empty($_POST['sname']))||(empty($_POST['tel']))||(empty($_POST['email']))||(empty($_POST['email2']))||(empty($_POST['level']))||(empty($_POST['prog']))){
			header("Location: signup.php?fault=ef");
			$kill = 0;
			ob_flush();
		}elseif(!is_numeric($_SESSION['signup']['id'])){
			header("Location: signup.php?fault=inn");
			$kill = 0;
			ob_flush();
		}elseif($_SESSION['signup']['pword'] != $_SESSION['signup']['pword2']){
			header("Location: signup.php?fault=pnm");
			$kill = 0;
			ob_flush();
		}elseif(strlen($_SESSION['signup']['pword']) <= 5){
			header("Location: signup.php?fault=pnl");
			$kill = 0;
			ob_flush();
		}elseif($_SESSION['signup']['email'] != $_SESSION['signup']['email2']){
			header("Location: signup.php?fault=enm");
			$kill = 0;
			ob_flush();
		}elseif(!is_numeric($_SESSION['signup']['tel'])){
			header("Location: signup.php?fault=tnn");
			$kill = 0;
			ob_flush();
		}elseif(!validate_email($_SESSION['signup']['email'])){
			header("Location: signup.php?fault=env");
			$kill = 0;
			ob_flush();
		}elseif(!login_signup_check_username($_SESSION['signup']['uname'],db_connect())){
			header("Location: signup.php?fault=nun");
			$kill = 0;
			ob_flush();
		}elseif(!$check_last['error']){
			header("Location: signup.php?fault=nui&type=".$check_last['type']);
			$kill = 0;
			ob_flush();
		}elseif(($referer[0] != $proto.$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'])||(md5($referer[0])!=$_SESSION['signup']['ref'])){
			header("Location: signup.php?fault=ir");
			$kill = 0;
			ob_flush();
		}
		
		if(($kill!=0)||(!isset($kill))){
			$a = login_signup_student_login($_SESSION['signup']['id'],$_SESSION['signup']['uname'],$_SESSION['signup']['pword'],db_connect());
			$b = login_signup_student_details($_SESSION['signup']['id'],$_SESSION['signup']['title'],$_SESSION['signup']['fname'],$_SESSION['signup']['sname'],$_SESSION['signup']['tel'],$_SESSION['signup']['email'],db_connect());
			$c = login_signup_student_campus($_SESSION['signup']['id'],$_SESSION['signup']['campus'],db_connect());
			$d = login_signup_student_course($_SESSION['signup']['id'],$_SESSION['signup']['level'],$_SESSION['signup']['prog'],db_connect());
			if(($a)&&($b)&&($c)&&($d)){
				echo "<p><img src=\"images/tick.png\" width=\"16px\" height=\"16px\" alt=\"Success\" title=\"Success\" style=\"vertical-align:top;\"/>&nbsp;<em>User created.</em></p>";
				$_SESSION['user_id'] = $_SESSION['signup']['id'];
				$_SESSION['type'] = 1;
				unset($_SESSION['signup']);
				echo "<p><img src=\"images/loader.gif\" alt=\"Loader\" title=\"Loader\" style=\"vertical-align:middle;\"/> Redirecting to Login/Controls&hellip;</p>";     

				header("refresh: 5; url=login.php");
                ob_flush();
			}else{
				unset($_SESSION['signup']);
				echo "<p><img src=\"images/warn.png\" width=\"16px\" height=\"16px\" alt=\"Failed\" title=\"Failed\" style=\"vertical-align:top;\"/>&nbsp;<em>Failed to create user.</em><br/><small>Please contact an administrator.</small></p>";
				echo "<p><img src=\"images/loader.gif\" alt=\"Loader\" title=\"Loader\" style=\"vertical-align:middle;\"/> Redirecting to Home&hellip;</p>";     

				header("refresh: 5; url=index.php");
                ob_flush();
			}
		}
		
    }

// Build Generic/Auto HTML
    require_once('inc.site/'.$SITE['theme'].'/html.side_menu.inc.php');
    require_once('inc.site/'.$SITE['theme'].'/html.footer.inc.php');
    require_once('inc.site/'.$SITE['theme'].'/html.body_end.inc.php');

//Final buffer flush incase of error or it hasnt been flushed before.
@ob_flush();
    ?>
