<?php
ob_start();
session_start();

if($_SERVER['HTTPS'] == "on"){ $proto = "https://"; }else{ $proto = "http://"; }
$referer = explode("?",$_SERVER['HTTP_REFERER']);

// If I'm logged in, then move me to the controls please.
if(!isset($_SESSION['user_id'])){
	header("HTTP/1.1 307 Temporary Redirect");
	header("Location: login.php?login");
	ob_flush();
}

// Requires
    // Configs
        require_once('config/site.config.php');
        require_once('config/signup.config.php');
    //Modules (i.e. functions and user created modules)
        require_once('modules/load.module.php');
    //Inc.Site (Required Page Content/Actions)
    
    //
        
// Build Generic/Auto HTML
    require_once('inc.site/html.head.inc.php');
    require_once('inc.site/'.$SITE['theme'].'/html.body_start.inc.php');
    require_once('inc.site/'.$SITE['theme'].'/html.top_menu.inc.php');
    
// PHP/Content Goes here!
?>
	<h1>Edit Account</h1>
		<div class="descr"><em>&hellip;edit your account.</em></div>
<?PHP
	if($_SESSION['type'] == 1){
		$user = db_student_retrieve($_SESSION['user_id'],db_connect());
		$course = db_course_retrieve($_SESSION['user_id'],db_connect());
		$uname = db_student_uname_retrieve($_SESSION['user_id'],db_connect());
	}elseif($_SESSION['type'] == 2){
		$user = db_staff_retrieve($_SESSION['user_id'],db_connect());
		$uname = db_staff_uname_retrieve($_SESSION['user_id'],db_connect());
	}else{
		header("HTTP/1.1 307 Temporary Redirect");
		header("Location: controls.php");
		ob_flush();
	}
    if(!isset($_POST['uname'])){
    //this is the default action

		if(isset($_GET['fault'])){
			echo "<div class=\"descr\"><img src=\"images/alert.png\" width=\"16px\" height=\"16px\" alt=\"Alert!\" title=\"Alert\" style=\"vertical-align:top;\"/>&nbsp;";
			if($_GET['fault'] == "pnm"){
				echo "<em>Passwords do <strong>NOT</strong> match.</em><br/>";
			}elseif($_GET['fault'] == "pnl"){
				echo "<em>Password is <strong>NOT</strong> long enough.</em><br/>";
			}elseif($_GET['fault'] == "enm"){
				echo "<em>Email Addresses do <strong>NOT</strong> match.</em><br/>";
			}elseif($_GET['fault'] == "env"){
				echo "<em>Email Addresses is <strong>NOT</strong> valid.</em><br/>";
			}elseif($_GET['fault'] == "nps"){
				echo "<em>Current password the same as the old.</em><br/>";
			}elseif($_GET['fault'] == "inn"){
				echo "<em>Student ID is invalid.</em><br/>";
			}elseif($_GET['fault'] == "ef"){
				echo "<em>Empty Fields</em><br/>";
			}elseif($_GET['fault'] == "tnn"){
				echo "<em>Tel. No. is invalid.</em><br/>";
			}elseif($_GET['fault'] == "ir"){
				echo "<em>Invalid Secu-Code.</em><br/>";
			}elseif($_GET['fault'] == "npg"){
				echo "<em>Please input your current password.</em><br/>";
			}elseif($_GET['fault'] == "wpw"){
				echo "<em>Incorrect current password.</em><br/>";
			}
			echo "</div>";
		}
	?>
	<table class="big"><form method="POST" action="<?PHP echo $_SERVER['PHP_SELF']; ?>"><input type="hidden" name="ref" id="ref" value="<?PHP echo md5($proto.$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME']);?>" />
		<tr><td colspan="3"><h4>Login:</h4></td></tr>
		<tr>
			<td width="100px"><label for="id">User ID</labe>:</td>
			<td width="250px"><input type="text" name="id" id="id" size="35" maxlength="9" value="<?PHP echo $user['id']; ?>" readonly="readonly" /></td>
			<td><small><?PHP echo $_edit['id']; ?></small></td>
		</tr>
		<tr>
			<td><label for="uname">Username</labe>:</td>
			<td><input type="text" name="uname" id="uname" size="35" maxlength="6" value="<?PHP echo $uname; ?>" readonly="readonly" /></td>
			<td><small><?PHP echo $_edit['username']; ?></small></td>
		</tr>
		<tr>
			<td><label for="opword">Old Password</labe>:<small class="descr"><strong>*</strong></small></td>
			<td><input type="password" name="opword" id="opword" size="35" /></td>
			<td><small>Your current password. (<span class="descr">Needed to make changes!</span>)</small></td>
		</tr>
		<tr>
			<td><label for="pword">New Password</labe>:</td>
			<td><input type="password" name="pword" id="pword" size="35" /></td>
			<td><small>A new password.</small></td>
		</tr>
		<tr>
			<td><label for="pword2">Verify Password</labe>:</td>
			<td><input type="password" name="pword2" id="pword2" size="35" /></td>
			<td><small>Verify your new password.</small></td>
		</tr>
		<tr><td colspan="3">&nbsp;</td></tr>
		<tr><td colspan="3"><h4>Deatils:</h4></td></tr>
		<tr>
			<td><label for="title">Title</labe>:</td>
			<td><input type="text" name="title" id="title" size="35" maxlength="4" value="<?PHP echo $user['title']; ?>"/></td>
			<td><small><?PHP echo $_edit['title']; ?></small></td>
		</tr>
		<tr>
			<td><label for="fname">First Name</labe>:</td>
			<td><input type="text" name="fname" id="fname" size="35" value="<?PHP echo $user['fname']; ?>"/></td>
			<td><small><?PHP echo $_edit['fname']; ?></small></td>
		</tr>
		<tr>
			<td><label for="sname">Surname</labe>:</td>
			<td><input type="text" name="sname" id="sname" size="35" value="<?PHP echo $user['sname']; ?>"/></td>
			<td><small><?PHP echo $_edit['sname']; ?></small></td>
		</tr>
		<tr>
			<td><label for="tel">Tel. No.</labe>:</td>
			<td><input type="text" name="tel" id="tel" size="35" value="<?PHP echo $user['tel']; ?>"/></td>
			<td><small><?PHP echo $_edit['tel']; ?></small></td>
		</tr>
		<tr>
			<td><label for="email">Email Address</labe>:</td>
			<td><input type="text" name="email" id="email" size="35" value="<?PHP echo $user['email']; ?>"/></td>
			<td><small><?PHP echo $_edit['email']; ?></small></td>
		</tr>
		<?PHP if($_SESSION['type'] == 1){ ?>
		<tr><td colspan="3">&nbsp;</td></tr>
		<tr><td colspan="3"><h4>Location:</h4></td></tr>
		<tr>
			<td><label for="campus">Campus</labe>:</td>
			<td><select name="campus" id="campus"><?PHP echo db_dept_location_list($user['site'],db_connect()); ?></select></td>
			<td><small><?PHP echo $_edit['campus']; ?></small></td>
		</tr>
		<tr><td colspan="3">&nbsp;</td></tr>
		<tr><td colspan="3"><h4>Course:</h4></td></tr>
		<tr>
			<td><label for="level">Level</labe>:</td>
			<td><input type="text" name="level" id="level" size="15" maxlength="5" value="<?PHP echo $course['level']; ?>"/></td>
			<td><small><?PHP echo $_edit['level']; ?></small></td>
		</tr>
		<tr>
			<td><label for="prog">Course Name</labe>:</td>
			<td><input type="text" name="prog" id="prog" size="35" value="<?PHP echo $course['programme']; ?>"/></td>
			<td><small><?PHP echo $_edit['prog']; ?></small></td>
		</tr>
		<?PHP }elseif($_SESSION['type'] == 2){ ?>
		<tr><td colspan="3">&nbsp;</td></tr>
		<tr><td colspan="3"><h4>Group:</h4></td></tr>
		<tr>
			<td><label for="type">Teaching Type</labe>:</td>
			<td><select name="type" id="type"><?PHP echo db_staff_group_list($user['group'],db_connect()); ?></select></td>
			<td><small>Admin, Teaching, Support etc</small></td>
		</tr>
		<tr><td colspan="3">&nbsp;</td></tr>
		<tr><td colspan="3"><h4>Department:</h4></td></tr>
		<tr>
			<td><label for="dept">School</labe>:</td>
			<td><select name="dept" id="dept"><?PHP echo db_dept_school_list($user['dept'],db_connect()); ?></select></td>
			<td><small>School you belong to.</small></td>
		</tr>
		<?PHP } ?>
		<tr><td colspan="3">&nbsp;</td></tr>
		<tr>
			<td>&nbsp;</td>
			<td>&nbsp;</td>
			<td><input type="submit" value="Edit Account" /></td>
		</tr>
	</form></table>
<?PHP
    }else{		
		if(!is_numeric($_POST['id'])){
			header("Location: edit.php?fault=inn");
			$kill = 0;
			ob_flush();
		}elseif(empty($_POST['opword'])){
			header("Location: edit.php?fault=npg");
			$kill = 0;
			ob_flush();
		}elseif($_POST['opword'] == $_POST['pword']){
			header("Location: edit.php?fault=nps");
			$kill = 0;
			ob_flush();
		}elseif($_POST['pword'] != $_POST['pword2']){
			header("Location: edit.php?fault=pnm");
			$kill = 0;
			ob_flush();
		}elseif(!is_numeric($_POST['tel'])){
			header("Location: edit.php?fault=tnn");
			$kill = 0;
			ob_flush();
		}elseif(!validate_email($_POST['email'])){
			header("Location: edit.php?fault=env");
			$kill = 0;
			ob_flush();
		}elseif(($referer[0] != $proto.$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'])||(md5($referer[0])!=$_POST['ref'])){
			header("Location: edit.php?fault=ir");
			$kill = 0;
			ob_flush();
		}elseif($_SESSION['type'] == 1){
			if(!login_passwd($_POST['id'],$_POST['uname'],$_POST['opword'],1,db_connect())){
				header("Location: edit.php?fault=wpw");
				$kill = 0;
				ob_flush();
			}
		}elseif($_SESSION['type'] == 2){
			if(!login_passwd($_POST['id'],$_POST['uname'],$_POST['opword'],2,db_connect())){
				header("Location: edit.php?fault=wpw");
				$kill = 0;
				ob_flush();
			}
		}
		if(($kill!=0)||(!isset($kill))){
			
			if($_SESSION['type'] == 1){
				if(!empty($_POST['pword'])){
					$a = edit_student_login($_POST['id'],$_POST['pword'],db_connect());
				}else{
					$a=TRUE;
				}
				$b = edit_student_details($_POST['id'],$_POST['title'],$_POST['fname'],$_POST['sname'],$_POST['tel'],$_POST['email'],db_connect());
				$c = login_signup_student_campus($_POST['id'],$_POST['campus'],db_connect());
				$d = login_signup_student_course($_POST['id'],$_POST['level'],$_POST['prog'],db_connect());
			}elseif($_SESSION['type'] == 2){
				if(!empty($_POST['pword'])){
					$a = edit_student_login($_POST['id'],$_POST['pword'],db_connect());
				}else{
					$a=TRUE;
				}
				$b = edit_staff_details($_POST['id'],$_POST['title'],$_POST['fname'],$_POST['sname'],$_POST['tel'],$_POST['email'],db_connect());
				$c = login_signup_staff_dept_grp($_POST['id'],$_POST['dept'],$_POST['type'],db_connect());
				$d = TRUE;
			}
		
			if(($a)&&($b)&&($c)&&($d)){
				echo "<p><img src=\"images/tick.png\" width=\"16px\" height=\"16px\" alt=\"Success\" title=\"Success\" style=\"vertical-align:top;\"/>&nbsp;<em>User edited.</em></p>";
				logger("User","Edit Succes","User: ".$_POST['id']." has been edited.");
				unset($_POST);
				echo "<p><img src=\"images/loader.gif\" alt=\"Loader\" title=\"Loader\" style=\"vertical-align:middle;\"/> Redirecting to Controls&hellip;</p>";     

				header("refresh: 5; url=login.php");
                ob_flush();
			}else{
				logger("User","Edit Failed","Failed to edit: ".$_POST['id'].".");
				logger("User Edit","edit.php","Edit Failed for user: ".$_POST['id'].", type: ".$_SESSION['type']);
				unset($_POST);
				echo "<p><img src=\"images/warn.png\" width=\"16px\" height=\"16px\" alt=\"Failed\" title=\"Failed\" style=\"vertical-align:top;\"/>&nbsp;<em>Failed to edit user.</em><br/><small>Please contact an administrator.</small></p>";
				echo "<p><img src=\"images/loader.gif\" alt=\"Loader\" title=\"Loader\" style=\"vertical-align:middle;\"/> Redirecting to Home&hellip;</p>";     

				header("refresh: 5; url=index.php");
                ob_flush();
			}
		}
		
    }
   

// Build Generic/Auto HTML
    require_once('inc.site/'.$SITE['theme'].'/html.side_menu.inc.php');
    require_once('inc.site/'.$SITE['theme'].'/html.footer.inc.php');
    require_once('inc.site/'.$SITE['theme'].'/html.body_end.inc.php');

//Final buffer flush incase of error or it hasnt been flushed before.
@ob_flush();
    ?>
