<?php
/**
 * Logging Module
 *
 * To turn logging off, edit the file /config/logger.config.php and change $LOGGER['log'] to no
 *
 * This function returns FALSE on error and returns TRUE on successful log and if logging is turned off.
 *
 **/


function logger($type,$action,$msg){
require('config/logger.config.php');
if(strtolower($LOGGER['log'])!="no"){
    // Three types of logging, debug(anything not User/Security/), user and Security (Sec)
    $ip = $_SERVER['REMOTE_ADDR'];
    $bool=TRUE;
    
    if(strtolower($type)=="user"){
      $buffer = "\r\n".date("d-m-y(H:i:s)")."; ".$action."; ".$msg."; ".$ip;
    }elseif(strtolower($type)=="sec"){
      $buffer = "\r\n".date("d-m-y(H:i:s)")."; ".$action."; ".$msg."; ".$ip;
      $type = "security";
    }else{
      $buffer = "\r\n".date("d-m-y(H:i:s)")."; ".$type."; ".$action."; ".$msg."; ".$ip;
      $type = "debug";
    }
    
    $logfile = $LOGGER['dir']."/".strtolower($type).".log";
    $handle = fopen($logfile, "a") or $bool = FALSE;
    if($bool!=FALSE)
    {
      $write = fwrite($handle, $buffer);
        if(!$write){
          $bool = FALSE;
        }
      fclose($handle);
      $bool = TRUE;
    }
    
  return $bool;
}

else{
  $bool = TRUE;
  return $bool;
}}
?>