<?php
/**
 * Login Functions
 *
 **/
 

/**
 * Finds the User ID and User Type, and returns the user ID and the User types in an array
 *
 *  Array
 *   {
 *	  	[id]	=> 012345678
 *		[type]	=> 1				// 1 = Student, or 2 = Staff
 *   }
 *   Returns FALSE on error and logs.
 *   Type, Returns 1 for student, 2 for staff
 *
 **/
function login_start($user,$dbcon=NULL){
require('config/database.config.php');
    $db = $MYSQL['db'];
  // Some checks on the variables being passed
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $user = filter_var($user, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $user = filter_var($user, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $user = strtolower($user);
  // Prefix checking (If enabled)
	if((isset($MYSQL['prefix']))||($MYSQL['prefix']!="")){
		$prefix = $MYSQL['prefix'];
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
	}else{
		$prefix="";
	}
  // Check to see if connection is alive
    if (!mysql_ping($dbcon)){
		$dbcon = db_connect();
	}
	$db = mysql_select_db($db,$dbcon);
	$query = "SELECT count(*), id FROM ".$prefix."student_login WHERE `username` = \"".$user."\""; // !!!!!!!!!!!!! SQL QUERY HERE !!!!!!!!!!!!
	$result = @mysql_query($query);
	if (!$result){
		logger("MySQL Error","login_start #student","Database Returned Error");
		return 0;
	}
	while($row = @mysql_fetch_array($result)){
		$ucount = $row['count(*)'];
		$returned['id'] = $row['id'];
		$returned['type']=1;
	}
	if($ucount == 1){
		
	}else{
			if($ucount > 1){
				logger("User","Duplicate ALERT!","More than 1 student has been returned for ".$user.".");
				logger("Admin","Duplicate ALERT!","More than 1 student has been returned for ".$user.".");
				logger("Sec","Duplicate ALERT!","More than 1 student has been returned for ".$user.".");
				return 0;
			}
		$query = "SELECT count(*), id FROM ".$prefix."staff_login WHERE `username` = \"".$user."\""; // !!!!!!!!!!!!! SQL QUERY HERE !!!!!!!!!!!!
		$result = @mysql_query($query);
		if (!$result){
		logger("MySQL Error","login_start #staff","Database Returned Error");
		return 0;
	}
		while($row = @mysql_fetch_array($result)){
			$ucount = $row['count(*)'];
			$returned['id'] = $row['id'];
			$returned['type']=2;
		}
		if($ucount == 1){
			
		}else{
			if($ucount > 1){
				logger("User","Duplicate ALERT!","More than 1 staff has been returned for ".$user.".");
				logger("Admin","Duplicate ALERT!","More than 1 staff has been returned for ".$user.".");
				logger("Sec","Duplicate ALERT!","More than 1 staff has been returned for ".$user.".");
				return 0;
			}
			logger("User","login_start","Failed to find user ".$user." in the database.");
			 return 0;
		}
	}
  logger("User","login_start","Found ".$user.".");
  mysql_close();
  return $returned;
}

/**
 * Checks to see if the userid (from the previous function), username and password cobination are correct
 *
 *   Returns True on success.
 *   Returns FALSE on error and logs.
 *
 **/
function login_passwd($id,$user,$pass,$type,$dbcon=NULL){
require('config/database.config.php');
    $db = $MYSQL['db'];
  // Some checks on the variables being passed
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $user = filter_var($user, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $user = filter_var($user, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $user = strtolower($user);
    $pass = filter_var($pass, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $pass = filter_var($pass, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
  // Password encryption process 
	$pass = make_pass($pass);
  // Prefix checking (If enabled)
	if((isset($MYSQL['prefix']))||($MYSQL['prefix']!="")){
		$prefix = $MYSQL['prefix'];
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
	}else{
		$prefix="";
	}
  // Check to see if connection is alive
    if (!mysql_ping($dbcon)){
		$dbcon = db_connect();
	}
	$db = mysql_select_db($db,$dbcon);
	if(($type == 1)||($type == "1")){
		$query = "SELECT count(*), id FROM ".$prefix."student_login WHERE `id` = \"".$id."\" AND `username` = \"".$user."\" AND `password` = \"".$pass."\""; // !!!!!!!!!!!!! SQL QUERY HERE !!!!!!!!!!!!
	}elseif(($type == 2)||($type == "2")){
		$query = "SELECT count(*), id FROM ".$prefix."staff_login WHERE `id` = \"".$id."\" AND `username` = \"".$user."\" AND `password` = \"".$pass."\""; // !!!!!!!!!!!!! SQL QUERY HERE !!!!!!!!!!!!
	}else{
		logger("User","login_passwd","Incorrect \$type given.");
		logger("Sec","login_passwd","Incorrect \$type given.");
		logger("Debug","login_passwd","Incorrect \$type given.");
		return 0;
	}
	$result = @mysql_query($query);
	if (!$result){
		logger("MySQL Error","make_pass","Database Returned Error");
		return 0;
	}
	while($row = @mysql_fetch_array($result)){
		$ucount = $row['count(*)'];
		$id = $row['id'];
	}
	
	if($ucount > 1){
		logger("User","Duplicate ALERT!","More than 1 student has been returned for ".$user.", with id ".$id.".");
		logger("Admin","Duplicate ALERT!","More than 1 student has been returned for ".$user.", with id ".$id.".");
		logger("Sec","Duplicate ALERT!","More than 1 student has been returned for ".$user.", with id ".$id.".");
		return 0;
	}
	elseif($ucount == 0){
    logger("User","login_passwd","Incorrect password given for ".$user.", with id ".$id.".");
		logger("Admin","login_passwd","Incorrect password given for ".$user.", with id ".$id.".");
		logger("Sec","login_passwd","Incorrect password given for ".$user.", with id ".$id.".");
		return 0;
	}
	logger("User","login_passwd","Success, ".$user." logged in with id ".$id.".");
	mysql_close();
	return 1;
}


/**
 * Check username Name
 *
 * Retruns true if the name isnt found.
 * Returns FALSE on error and logs.
 **/
function login_signup_check_username($username,$dbcon=NULL){
require('config/database.config.php');
    $db = $MYSQL['db'];
  // Some checks on the variables being passed
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
  // Prefix checking (If enabled)
	if((isset($MYSQL['prefix']))||($MYSQL['prefix']!="")){
		$prefix = $MYSQL['prefix'];
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
	}else{
		$prefix="";
	}
  // Check to see if connection is alive
    if ((!@mysql_ping($dbcon))||($dbcon==NULL)){
		$dbcon = db_connect();
	}
	$db = mysql_select_db($db,$dbcon);
	$query = "SELECT count(*) FROM ".$prefix."student_login WHERE `username` = \"".$username."\""; // !!!!!!!!!!!!! SQL QUERY HERE !!!!!!!!!!!!
	$result = @mysql_query($query);
	if (!$result){
		logger("MySQL Error","login_signup_check_username #Student","Database Returned Error - ".mysql_error());
		return 0;
	}
	while($row = @mysql_fetch_array($result)){
		$returned = $row['count(*)'];
	}
	
	if($returned == 0){
		$query = "SELECT count(*) FROM ".$prefix."staff_login WHERE `username` = \"".$username."\""; // !!!!!!!!!!!!! SQL QUERY HERE !!!!!!!!!!!!
		$result = @mysql_query($query);
		if (!$result){
			logger("MySQL Error","login_signup_check_username #Staff","Database Returned Error - ".mysql_error());
			return 0;
		}
		while($row = @mysql_fetch_array($result)){
			$returned = $row['count(*)'];
		}
	}
	
	if($returned != 0){
		$returned = FALSE;
	}else{
		$returned = TRUE;
	}
	mysql_close();
  return $returned;
}



/**
 * Check user details (id and email)
 *
 *  Array
 *   {
 *	  	[error]	=> TRUE
 *		[type]	=> ID 			// Only returned if there is an error
 *   }
 * Returns FALSE on error and logs.
 **/
function login_signup_check_student($id,$email,$dbcon=NULL){
require('config/database.config.php');
    $db = $MYSQL['db'];
  // Some checks on the variables being passed
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
  // Prefix checking (If enabled)
	if((isset($MYSQL['prefix']))||($MYSQL['prefix']!="")){
		$prefix = $MYSQL['prefix'];
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
	}else{
		$prefix="";
	}
  // Check to see if connection is alive
    if ((!@mysql_ping($dbcon))||($dbcon==NULL)){
		$dbcon = db_connect();
	}
	$db = mysql_select_db($db,$dbcon);
	$query = "SELECT id, email FROM ".$prefix."student WHERE `id` = \"".$id."\" OR `email` = \"".$email."\""; // !!!!!!!!!!!!! SQL QUERY HERE !!!!!!!!!!!!
	$result = @mysql_query($query);
	if (!$result){
		logger("MySQL Error","login_signup_check_student","Database Returned Error - ".mysql_error());
		return 0;
	}
	while($row = @mysql_fetch_array($result)){
		$found['id'] = $row['id'];
		$found['email'] = $row['email'];
	}
	
	if($found['id'] == $id){
		$error['error'] = FALSE;
		$error['type'] = "ID";
	}
	if($found['email'] == $email){
		$error['error'] = FALSE;
		if(!empty($error['type'])){
			$error['type'] = $error['type']." and Email Address";
		}else{
			$error['type'] = "Email Address";
		}
	}
	if (!isset($error)){
		$error['error'] = TRUE;
	}
	mysql_close();
  return $error;
}


/**
 * Add new student login
 *
 *   Returns FALSE on error and logs.
 **/
function login_signup_student_login($id,$user,$pass,$dbcon=NULL){
require('config/database.config.php');
    $db = $MYSQL['db'];
  // Some checks on the variables being passed
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $user = filter_var($user, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $user = filter_var($user, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $user = strtolower($user);
    $pass = filter_var($pass, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $pass = filter_var($pass, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
 // Password encryption process 
	$pass = make_pass($pass);
  // Prefix checking (If enabled)
	if((isset($MYSQL['prefix']))||($MYSQL['prefix']!="")){
		$prefix = $MYSQL['prefix'];
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
	}else{
		$prefix="";
	}
  // Check to see if connection is alive
    if ((!@mysql_ping($dbcon))||($dbcon==NULL)){
		$dbcon = db_connect();
	}
	$db = mysql_select_db($db,$dbcon);
	$query = "INSERT INTO ".$prefix."student_login (`id`, `username`, `password`) VALUES ('".$id."', '".$user."', '".$pass."');"; // !!!!!!!!!!!!! SQL QUERY HERE !!!!!!!!!!!!
	$result = @mysql_query($query);
	if (!$result){
		logger("MySQL Error","login_signup_student_login","Database Returned Error - ".mysql_error());
		return 0;
	}
		logger("User","login_signup_student_login","User: ".$user." was created.");
		logger("Sec","login_signup_student_login","User: ".$user." was created.");
		logger("Admin","login_signup_student_login","User: ".$user." was created.");
	mysql_close();
	return TRUE;
}

/**
 * Add new student details
 *
 *   Returns FALSE on error and logs.
 **/
function login_signup_student_details($id,$title,$fname,$sname,$tel,$email,$dbcon=NULL){
require('config/database.config.php');
    $db = $MYSQL['db'];
  // Some checks on the variables being passed
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $title = filter_var($title, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $title = filter_var($title, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $title = ucfirst($title);
    $fname = filter_var($fname, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $fname = filter_var($fname, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $fname = ucfirst($fname);
    $sname = filter_var($sname, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $sname = filter_var($sname, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $sname = ucfirst($sname);
  // Prefix checking (If enabled)
	if((isset($MYSQL['prefix']))||($MYSQL['prefix']!="")){
		$prefix = $MYSQL['prefix'];
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
	}else{
		$prefix="";
	}
  // Check to see if connection is alive
    if ((!@mysql_ping($dbcon))||($dbcon==NULL)){
		$dbcon = db_connect();
	}
	$db = mysql_select_db($db,$dbcon);
	$query = "INSERT INTO ".$prefix."student (`id`, `title`, `fname`, `sname`, `tel`, `email`, `level`, `programme`, `site`) VALUES ('".$id."', '".$title."', '".$fname."', '".$sname."', '".$tel."', '".$email."','0','0','0');"; // !!!!!!!!!!!!! SQL QUERY HERE !!!!!!!!!!!!
	$result = @mysql_query($query);
	if (!$result){
		logger("MySQL Error","login_signup_student_details","Database Returned Error - ".mysql_error());
		return 0;
	}
		logger("User","login_signup_student_details","User id: ".$id." was created.");
		logger("Sec","login_signup_student_details","User id: ".$id." was created.");
		logger("Admin","login_signup_student_details","User id: ".$id." was created.");
	mysql_close();
	return TRUE;
}

/**
 * updates the student campus
 *
 * Used in signup
 *   Returns FALSE on error and logs.
 **/
function login_signup_student_campus($id,$site,$dbcon=NULL){
require('config/database.config.php');
    $db = $MYSQL['db'];
  // Some checks on the variables being passed
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
  // Prefix checking (If enabled)
	if((isset($MYSQL['prefix']))||($MYSQL['prefix']!="")){
		$prefix = $MYSQL['prefix'];
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
	}else{
		$prefix="";
	}
  // Check to see if connection is alive
    if ((!@mysql_ping($dbcon))||($dbcon==NULL)){
		$dbcon = db_connect();
	}
	$db = mysql_select_db($db,$dbcon);
	$query = "UPDATE ".$prefix."student SET `site` = '".$site." 'WHERE `id` =".$id.";"; // !!!!!!!!!!!!! SQL QUERY HERE !!!!!!!!!!!!
	$result = @mysql_query($query);
	if (!$result){
		logger("MySQL Error","login_signup_student_campus","Database Returned Error - ".mysql_error());
		return 0;
	}
		logger("User","login_signup_student_campus","User id: ".$id." is at ".$site);
	mysql_close();
	return TRUE;
}


/**
 * updates the student course
 *
 * Used in signup
 *   Returns FALSE on error and logs.
 **/
function login_signup_student_course($id,$level,$course,$dbcon=NULL){
require('config/database.config.php');
    $db = $MYSQL['db'];
  // Some checks on the variables being passed
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $level = filter_var($level, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $level = filter_var($level, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $course = filter_var($course, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $course = filter_var($course, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $course = ucwords($course);
  // Prefix checking (If enabled)
	if((isset($MYSQL['prefix']))||($MYSQL['prefix']!="")){
		$prefix = $MYSQL['prefix'];
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
	}else{
		$prefix="";
	}
  // Check to see if connection is alive
    if ((!@mysql_ping($dbcon))||($dbcon==NULL)){
		$dbcon = db_connect();
	}
	$db = mysql_select_db($db,$dbcon);
	$query = "UPDATE ".$prefix."student SET `level` = '".$level."', `programme` = '".$course." 'WHERE `id` =".$id.";"; // !!!!!!!!!!!!! SQL QUERY HERE !!!!!!!!!!!!
	$result = @mysql_query($query);
	if (!$result){
		logger("MySQL Error","login_signup_student_course","Database Returned Error - ".mysql_error());
		return 0;
	}
		logger("User","login_signup_student_course","User id: ".$id." is on ".$level." ".$course);
	mysql_close();
	return TRUE;
}


/**
 * Updates the staff dept & group
 *
 * Used in signup
 *   Returns FALSE on error and logs.
 **/
function login_signup_staff_dept_grp($id,$dept,$group,$dbcon=NULL){
require('config/database.config.php');
    $db = $MYSQL['db'];
  // Some checks on the variables being passed
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
  // Prefix checking (If enabled)
	if((isset($MYSQL['prefix']))||($MYSQL['prefix']!="")){
		$prefix = $MYSQL['prefix'];
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
	}else{
		$prefix="";
	}
  // Check to see if connection is alive
    if ((!@mysql_ping($dbcon))||($dbcon==NULL)){
		$dbcon = db_connect();
	}
	$db = mysql_select_db($db,$dbcon);
	$query = "UPDATE ".$prefix."staff SET `dept` = '".$dept."', `group` = '".$group."' WHERE `id` =".$id.";"; // !!!!!!!!!!!!! SQL QUERY HERE !!!!!!!!!!!!
	$result = @mysql_query($query);
	if (!$result){
		logger("MySQL Error","login_signup_staff_dept_grp","Database Returned Error - ".mysql_error());
		return 0;
	}
		logger("User","login_signup_staff_dept_grp","User id: ".$id." is in ".$dept." and is group ".$group);
	mysql_close();
	return TRUE;
}


/**
 * Check staff user details (id and email)
 *
 *  Array
 *   {
 *	  	[error]	=> TRUE
 *		[type]	=> ID 			// Only returned if there is an error
 *   }
 * Returns FALSE on error and logs.
 **/
function login_signup_check_staff($id,$email,$dbcon=NULL){
require('config/database.config.php');
    $db = $MYSQL['db'];
  // Some checks on the variables being passed
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
  // Prefix checking (If enabled)
	if((isset($MYSQL['prefix']))||($MYSQL['prefix']!="")){
		$prefix = $MYSQL['prefix'];
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
	}else{
		$prefix="";
	}
  // Check to see if connection is alive
    if ((!@mysql_ping($dbcon))||($dbcon==NULL)){
		$dbcon = db_connect();
	}
	$db = mysql_select_db($db,$dbcon);
	$query = "SELECT id, email FROM ".$prefix."staff WHERE `id` = \"".$id."\" OR `email` = \"".$email."\""; // !!!!!!!!!!!!! SQL QUERY HERE !!!!!!!!!!!!
	$result = @mysql_query($query);
	if (!$result){
		logger("MySQL Error","login_signup_check_staff","Database Returned Error - ".mysql_error());
		return 0;
	}
	while($row = @mysql_fetch_array($result)){
		$found['id'] = $row['id'];
		$found['email'] = $row['email'];
	}
	
	if($found['id'] == $id){
		$error['error'] = FALSE;
		$error['type'] = "ID";
	}
	if($found['email'] == $email){
		$error['error'] = FALSE;
		if(!empty($error['type'])){
			$error['type'] = $error['type']." and Email Address";
		}else{
			$error['type'] = "Email Address";
		}
	}
	if (!isset($error)){
		$error['error'] = TRUE;
	}
	mysql_close();
  return $error;
}


/**
 * Add new staff login
 *
 *   Returns FALSE on error and logs.
 **/
function login_signup_staff_login($id,$user,$pass,$dbcon=NULL){
require('config/database.config.php');
    $db = $MYSQL['db'];
  // Some checks on the variables being passed
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $user = filter_var($user, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $user = filter_var($user, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $user = strtolower($user);
    $pass = filter_var($pass, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $pass = filter_var($pass, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
 // Password encryption process 
	$pass = make_pass($pass);
  // Prefix checking (If enabled)
	if((isset($MYSQL['prefix']))||($MYSQL['prefix']!="")){
		$prefix = $MYSQL['prefix'];
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
	}else{
		$prefix="";
	}
  // Check to see if connection is alive
    if ((!@mysql_ping($dbcon))||($dbcon==NULL)){
		$dbcon = db_connect();
	}
	$db = mysql_select_db($db,$dbcon);
	$query = "INSERT INTO ".$prefix."staff_login (`id`, `username`, `password`) VALUES ('".$id."', '".$user."', '".$pass."');"; // !!!!!!!!!!!!! SQL QUERY HERE !!!!!!!!!!!!
	$result = @mysql_query($query);
	if (!$result){
		logger("MySQL Error","login_signup_staff_login","Database Returned Error - ".mysql_error());
		return 0;
	}
		logger("User","login_signup_staff_login","User: ".$user." was created.");
		logger("Sec","login_signup_staff_login","User: ".$user." was created.");
		logger("Admin","login_signup_staff_login","User: ".$user." was created.");
	mysql_close();
	return TRUE;
}

/**
 * Add new staff details
 *
 *   Returns FALSE on error and logs.
 **/
function login_signup_staff_details($id,$title,$fname,$sname,$tel,$email,$dbcon=NULL){
require('config/database.config.php');
    $db = $MYSQL['db'];
  // Some checks on the variables being passed
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $db = filter_var($db, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $title = filter_var($title, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $title = filter_var($title, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $title = ucfirst($title);
    $fname = filter_var($fname, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $fname = filter_var($fname, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $fname = ucfirst($fname);
    $sname = filter_var($sname, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    $sname = filter_var($sname, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
    $sname = ucfirst($sname);
  // Prefix checking (If enabled)
	if((isset($MYSQL['prefix']))||($MYSQL['prefix']!="")){
		$prefix = $MYSQL['prefix'];
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
		$prefix = filter_var($prefix, FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_HIGH);
	}else{
		$prefix="";
	}
  // Check to see if connection is alive
    if ((!@mysql_ping($dbcon))||($dbcon==NULL)){
		$dbcon = db_connect();
	}
	$db = mysql_select_db($db,$dbcon);
	$query = "INSERT INTO ".$prefix."staff (`id`, `title`, `fname`, `sname`, `tel`, `email`, `dept`, `group`) VALUES ('".$id."', '".$title."', '".$fname."', '".$sname."', '".$tel."', '".$email."','0','0');"; // !!!!!!!!!!!!! SQL QUERY HERE !!!!!!!!!!!!
	$result = @mysql_query($query);
	if (!$result){
		logger("MySQL Error","login_signup_staff_details","Database Returned Error - ".mysql_error());
		return 0;
	}
		logger("User","login_signup_staff_details","User id: ".$id." was created.");
		logger("Sec","login_signup_staff_details","User id: ".$id." was created.");
		logger("Admin","login_signup_staff_details","User id: ".$id." was created.");
	mysql_close();
	return TRUE;
}
?>